function getDirectoryEntries() {
	fetch('/api/v1/directory')
		.then(response => response.json())
		.then(data => {
			const table = document.getElementById('directoryList');
			data.forEach(entry => {
				console.log(entry)
				const row = document.createElement('tr');
				row.innerHTML = `<td>${entry.number}</td><td>${entry.name}</td><td><button class="btn btn-danger" onclick="deleteDirectoryEntry(${entry.number})">Delete</button></td>`;
				table.appendChild(row);
			});
			const dirCount = document.getElementById('dirCount');
			dirCount.textContent = data.length;
		})
		.catch(error => console.error('Error fetching directory:', error));
}

document.addEventListener('DOMContentLoaded', function () {
	getDirectoryEntries();
});

function deleteDirectoryEntry(number) {
	fetch(`/api/v1/admin/directory/${number}`, {
		method: 'DELETE'
	})
		.then(response => {
			if (response.ok) {
				getDirectoryEntries();
			}
		})
		.catch(error => console.error('Error deleting directory entry:', error));
}